/*
** pat_time.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:46:50 1999 
** Last update Thu Oct 28 20:20:55 1999 
*/
#ifndef PAT_TIME_H
#define PAT_TIME_H	1

#include "pat.h"

extern t_pat		time_pat;

/* PROTO pat_time.c */
/* pat_time.c */
char *ctime_without_nl P((time_t *t));
t_status time_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status time_pat_get_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *str, int max_len));
t_status time_pat_set_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *value));
t_status time_pat_get_fields P((void *data, t_vec *vec_str));
t_status time_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status time_pat_get_field_pat P((void *data, t_id *optional_id, char *buf, int len, char *field, t_pat **pat_return, void **data_return));
t_status time_pat_off P((void *data, char *buf, int len, t_off *off_return));
t_status time_pat_sub P((void *data, t_id *optional_id, char *buf, int len, t_pat **pat_return));
t_status time_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status time_pat_insert P((void *data, char *buf, int len, char *value));
#endif
